ref: 4b60622e5ebcec0579c17269c4f4257d3fff9c46
parent: 6bb0202d65456bbd85648ad76552b8709bdb776c
author: Roberto E. Vargas Caballero <k0ga@shike2.com>
date: Mon Feb 19 04:58:44 EST 2018
[ar/tests] Fix chktest.sh It was copied from tests/scc and it had some wrong bits
--- a/tests/ar/execute/chktest.sh
+++ b/tests/ar/execute/chktest.sh
@@ -1,7 +1,7 @@
#!/bin/sh
ttyflags=`stty -g`
-trap "stty $ttyflags;tabs -8;rm -f a.out; exit 1" 0 2 3 15
+trap "stty $ttyflags;tabs -8" 0 2 3 15
stty tabs
tabs 40
ulimit -c 40
--- a/tests/scc/execute/chktest.sh
+++ b/tests/scc/execute/chktest.sh
@@ -2,7 +2,7 @@
file=${1?' empty input file'}
ttyflags=`stty -g`
-trap "stty $ttyflags;tabs -8;rm -f a.out; exit 1" 0 1 2 3 15
+trap "stty $ttyflags;tabs -8;rm -f a.out" 0 1 2 3 15
stty tabs
tabs 40
ulimit -c 0